@import "fork-awesome";

/* purgecss start ignore */
@tailwind base;
@tailwind components;
/* purgecss end ignore */

html {
  @apply font-body text-dark;
}

.heading {
  margin-left: -0.1em;
  margin-right: -0.1em;
}

.heading-underline {
  position: relative;
  padding: 0 0.1em;
}

.heading-underline > .heading-underline-block {
  position: absolute;
  display: block;
  height: 0.4em;
  left: -0.2em;
  right: 0.2em;
  bottom: 0.1em;
  z-index: -1;
}

.logo {
  position: relative;
}

.logo::after {
  content: '';
  display: block;
  position: absolute;
  height: 0.4em;
  left: -0.2em;
  right: 0.2em;
  bottom: 0.2em;
  z-index: -1;
  background-color: theme('colors.yellow');
}

.sawtooth-separation {
  height: 4rem;
  margin-top: -2rem;
  background-repeat-x: repeat;
  background-position: top center;
  background-size: 4rem;
  background-image:
    linear-gradient(
        135deg,
        theme('colors.dark') 50%, transparent 50%
    ),
    linear-gradient(
        -135deg,
        theme('colors.dark') 50%, transparent 50%
    );
}

.section-up, .section-down {
  margin-top: -9vw;
  padding-top: 9vw;
  padding-bottom: 9vw;
}

.section-up {
  clip-path: polygon(0 9vw, 100% 0, 100% 100%, 0 100%);
}

.section-down {
  clip-path: polygon(0 0, 100% 9vw, 100% 100%, 0 100%);
}

.section-spacer {
  height: 9vw;
}

@tailwind utilities;
